--- title: "updateTableSchema" slug: "analytics-datacatalog-table-updatetableschema" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-table-updatetableschema" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # updateTableSchema Available in VPC Edit the columns (schema) of a table. The entire existing schema is replaced with the list of columns provided in the request body. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/catalogs/{catalogId}/databases/{databaseName}/tables/{tableName}/schema | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `databaseName` | String | Required | Database name - See [getDatabase](/docs/en/analytics-datacatalog-database-getdatabase). | | `tableName` | String | Required | Table name - See [getTable](/docs/en/analytics-datacatalog-table-gettable). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `columns` | Array | Required | Column list: [columns](/docs/en/analytics-datacatalog-table-updatetableschema#columns) - Since the entire table schema will be replaced with the provided list, you must enter at least one item. | #### `columns` The following describes `columns`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Required | Column name - 1-256 characters | | `type` | String | Required | Column data type - Example: `string`, `int`, `bigint`, `double`, `boolean`, `timestamp`, etc. | | `typeValue` | String | Optional | Detailed definition of composite types - Example: `array`, `struct`, `map` | | `description` | String | Optional | Column description - Up to 512 characters | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases/mydatabase/tables/mytable/schema' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "columns": [ { "name": "id", "type": "bigint", "description": "primary key" }, { "name": "name", "type": "string", "description": "user name" } ] }' ``` ## Response This section describes the response format. ### Response body If successful, it returns `204 No Content` without a body. ### Response status codes For information about the HTTP status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). | HTTP Status | Description | | --- | --- | | 204 | No Content (modification successful) |